/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef ECCODES_ecbuild_config_h
#define ECCODES_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.7.2"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.7.2"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/wrkdirs/usr/ports/science/eccodes/work/eccodes-2.30.0-Source/cmake"
#endif

/* config info */

#define ECCODES_OS_NAME          "FreeBSD-14.0-RELEASE-p4"
#define ECCODES_OS_BITS          64
#define ECCODES_OS_BITS_STR      "64"
#define ECCODES_OS_STR           "freebsd.64"
#define ECCODES_OS_VERSION       "14.0-RELEASE-p4"
#define ECCODES_SYS_PROCESSOR    "amd64"

#define ECCODES_BUILD_TIMESTAMP  "20240213041014"
#define ECCODES_BUILD_TYPE       "Release"

#define ECCODES_C_COMPILER_ID      "Clang"
#define ECCODES_C_COMPILER_VERSION "16.0.6"

#define ECCODES_CXX_COMPILER_ID      "Clang"
#define ECCODES_CXX_COMPILER_VERSION "16.0.6"

#define ECCODES_C_COMPILER       "/usr/local/libexec/ccache/cc"
#define ECCODES_C_FLAGS          "-O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing -std=c99 -pipe -O3 -DNDEBUG"

#define ECCODES_CXX_COMPILER     "/usr/local/libexec/ccache/c++"
#define ECCODES_CXX_FLAGS        "-O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include -pipe -Wno-write-strings -Wno-deprecated -O3 -DNDEBUG"

/* Needed for finding per package config files */

#define ECCODES_INSTALL_DIR       "/usr/local"
#define ECCODES_INSTALL_BIN_DIR   "/usr/local/bin"
#define ECCODES_INSTALL_LIB_DIR   "/usr/local/lib"
#define ECCODES_INSTALL_DATA_DIR  "/usr/local/share/eccodes"

#define ECCODES_DEVELOPER_SRC_DIR "/wrkdirs/usr/ports/science/eccodes/work/eccodes-2.30.0-Source"
#define ECCODES_DEVELOPER_BIN_DIR "/wrkdirs/usr/ports/science/eccodes/work/.build"

/* Fortran support */

#if 0

#define ECCODES_Fortran_COMPILER_ID      ""
#define ECCODES_Fortran_COMPILER_VERSION ""

#define ECCODES_Fortran_COMPILER ""
#define ECCODES_Fortran_FLAGS    ""

#endif

#endif /* ECCODES_ecbuild_config_h */
